
Katello - Bug #24443

3.6 -> 3.7 upgrade on proxy does not always migrate pulp db

07/27/2018 08:50 PM - Jonathon Turel

Status: Resolved   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: Upgrades   

Target version: Katello Recycle Bin   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases: Katello 3.7.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Error from pulp on the smart proxy:

pulp.server.webservices.application:CRITICAL: ****************************************************

*********

pulp.server.db.migrate.models:ERROR: pulp_deb.plugins.migrations hasn't been updated to the latest

 available migration.

pulp.server.webservices.application:CRITICAL: ****************************************************

*********

pulp.server.webservices.application:CRITICAL: The Pulp server failed to start due to the following

 reasons:

pulp.server.webservices.application:ERROR: (7046-60704)   The database has not been migrated to th

e current version. Run pulp-manage-db and restart the application.                                

                                                                           

pulp.server.webservices.application:ERROR: (7046-60704) Traceback (most recent call last):

pulp.server.webservices.application:ERROR: (7046-60704)   File "/usr/lib/python2.7/site-packages/p

ulp/server/webservices/application.py", line 111, in wsgi_application                             

                                                                           

pulp.server.webservices.application:ERROR: (7046-60704)     _initialize_web_services()

pulp.server.webservices.application:ERROR: (7046-60704)   File "/usr/lib/python2.7/site-packages/p

ulp/server/webservices/application.py", line 74, in _initialize_web_services                      

                                                                           

pulp.server.webservices.application:ERROR: (7046-60704)     migration_models.check_package_version

s()

pulp.server.webservices.application:ERROR: (7046-60704)   File "/usr/lib/python2.7/site-packages/p

ulp/server/db/migrate/models.py", line 314, in check_package_versions                             

                                                                           

pulp.server.webservices.application:ERROR: (7046-60704)     raise Exception(error_message)

pulp.server.webservices.application:ERROR: (7046-60704) InitializationException: The database has 

not been migrated to the current version. Run pulp-manage-db and restart the application.         

                                                                           

pulp.server.webservices.application:CRITICAL: ****************************************************

*********

 

Workaround

foreman-maintain service stop

service rh-mongodb34-mongod start

sudo -u apache pulp-manage-db

foreman-maintain service start

History

#1 - 08/01/2018 06:11 PM - Jonathon Turel

- Assignee set to Stephen Benjamin

- Target version set to Katello 3.9.0
- Triaged changed from No to Yes

#2 - 09/06/2018 07:46 PM - Stephen Benjamin

- Status changed from New to Need more information

I tried the pipeline twice, and it succeeds all the way until the final BATS run, which I think is failing because services aren't ready yet.  My desktop is

pretty slow, a manual BATS run after a few minutes succeeds.

Otherwise maybe we can close this unless we see it on 3.7 -> 3.8 too.

#3 - 09/06/2018 07:57 PM - Jonathon Turel

- Status changed from Need more information to Resolved

- Target version changed from Katello 3.9.0 to Katello Backlog

Closing since it does not seem to occur!

#4 - 09/06/2018 07:58 PM - Jonathon Turel

- Target version changed from Katello Backlog to Katello Recycle Bin
